import { AnnotationLayerDescription } from "./AnnotationLayerDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ValueLayerDescription extends AnnotationLayerDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private ge;
    get valueMode(): string;
    set valueMode(a: string);
    private f9;
    get horizontalLineStroke(): string;
    set horizontalLineStroke(a: string);
    private gf;
    get verticalLineStroke(): string;
    set verticalLineStroke(a: string);
    private gc;
    get targetSeriesName(): string;
    set targetSeriesName(a: string);
    private gd;
    get targetSeriesRef(): string;
    set targetSeriesRef(a: string);
    private ga;
    get targetAxisName(): string;
    set targetAxisName(a: string);
    private gb;
    get targetAxisRef(): string;
    set targetAxisRef(a: string);
    private fd;
    get useInterpolation(): boolean;
    set useInterpolation(a: boolean);
    private fb;
    get isAxisAnnotationEnabled(): boolean;
    set isAxisAnnotationEnabled(a: boolean);
    private gj;
    get xAxisAnnotationTextColor(): string;
    set xAxisAnnotationTextColor(a: string);
    private gg;
    get xAxisAnnotationBackground(): string;
    set xAxisAnnotationBackground(a: string);
    private fh;
    get xAxisAnnotationBackgroundCornerRadius(): number;
    set xAxisAnnotationBackgroundCornerRadius(a: number);
    private f5;
    get xAxisAnnotationInterpolatedValuePrecision(): number;
    set xAxisAnnotationInterpolatedValuePrecision(a: number);
    private gi;
    get xAxisAnnotationOutline(): string;
    set xAxisAnnotationOutline(a: string);
    private fj;
    get xAxisAnnotationPaddingLeft(): number;
    set xAxisAnnotationPaddingLeft(a: number);
    private fl;
    get xAxisAnnotationPaddingTop(): number;
    set xAxisAnnotationPaddingTop(a: number);
    private fk;
    get xAxisAnnotationPaddingRight(): number;
    set xAxisAnnotationPaddingRight(a: number);
    private fi;
    get xAxisAnnotationPaddingBottom(): number;
    set xAxisAnnotationPaddingBottom(a: number);
    private fp;
    get yAxisAnnotationPaddingLeft(): number;
    set yAxisAnnotationPaddingLeft(a: number);
    private fr;
    get yAxisAnnotationPaddingTop(): number;
    set yAxisAnnotationPaddingTop(a: number);
    private fq;
    get yAxisAnnotationPaddingRight(): number;
    set yAxisAnnotationPaddingRight(a: number);
    private fo;
    get yAxisAnnotationPaddingBottom(): number;
    set yAxisAnnotationPaddingBottom(a: number);
    private fm;
    get xAxisAnnotationStrokeThickness(): number;
    set xAxisAnnotationStrokeThickness(a: number);
    private gn;
    get yAxisAnnotationTextColor(): string;
    set yAxisAnnotationTextColor(a: string);
    private gk;
    get yAxisAnnotationBackground(): string;
    set yAxisAnnotationBackground(a: string);
    private fn;
    get yAxisAnnotationBackgroundCornerRadius(): number;
    set yAxisAnnotationBackgroundCornerRadius(a: number);
    private f6;
    get yAxisAnnotationInterpolatedValuePrecision(): number;
    set yAxisAnnotationInterpolatedValuePrecision(a: number);
    private gm;
    get yAxisAnnotationOutline(): string;
    set yAxisAnnotationOutline(a: string);
    private fs;
    get yAxisAnnotationStrokeThickness(): number;
    set yAxisAnnotationStrokeThickness(a: number);
    private fc;
    get skipUnknownValues(): boolean;
    set skipUnknownValues(a: boolean);
    private gh;
    get xAxisAnnotationFormatLabelRef(): string;
    set xAxisAnnotationFormatLabelRef(a: string);
    private gl;
    get yAxisAnnotationFormatLabelRef(): string;
    set yAxisAnnotationFormatLabelRef(a: string);
}
